LAMNODES(1)

NAME
lamnodes - Resolve LAM node/CPU notation to Unix hostnames.

SYNTAX
lamnodes [-chin] [<where>]

OPTIONS

-c  Suppress printing the CPU count for each node.

-h  Print the command help menu.

-i  Print IP addresses (instead of IP names)

-n  Suppress printing CPU count for each node

DESCRIPTION
The lamnodes command is used to resolve LAM node/CPU nomenclature to Unix hostnames. It can be used to determine the current running configuration of the LAM/MPI run-time environment, and generate a boot schema that can be used to launch LAM in the future.

By default, lamnodes will print out the node number, default IP name, CPU count, and per-node flags for each node in the running LAM. gethostbyaddr(3) is used to obtain default hostnames. If gethostbyaddr(3) fails, the IP number is displayed instead.

This command can be used by setup shell scripts (and the like) to determine information from a currently-running LAM universe. For example, use lamnodes to resolve particular CPUs and/or nodes to specific unix hostnames. In a batch environment, lamnodes can be used to determine which CPUs share a common node (note that MPI_GET_PROCESSOR_NAME can be used for a similar effect in an MPI program).

lamnodes also shows per-node flags. Currently defined flags are:

origin
    The node where lamboot was executed.

this_node
    The node where lamnodes is running.

no_schedule
    The node will not be used to run MPI and serial processes when N and C are used to mpirun and lamexec.

EXAMPLES

lamnodes N -n
    Display IP names and CPU counts for all nodes. This output can be saved and later used with lamboot(1).

lamnodes C -n -c
    Display the IP name of the nodes containing each CPU, and suppress the LAM node number and CPU count. This output can be saved and later used with lamboot(1).

SEE ALSO
bhost(5), gethostbyaddr(3), lamboot(1)